Skip to main content
POST
/
api
/
v1
/
documents
/
contracts
/
prepare_document
Persist prepared contract markdown as a document
curl --request POST \
  --url https://api.hevn.finance/api/v1/documents/contracts/prepare_document \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>"
}
'
{
  "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "documentType": "<string>",
  "fileName": "<string>",
  "name": "<string>",
  "downloadLink": "<string>"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Body

application/json

Persist already prepared markdown as a document file.

type
enum<string>
required

Markdown contract template type.

Available options:
employer,
employment,
service,
contractor,
default_contractor,
custom,
nda,
vendor,
milestone,
msa
text
string
required
Minimum string length: 1
name
string | null
fileName
string | null

Response

Successful Response

documentId
string<uuid>
required
documentType
string
required
fileName
string
required
name
string | null